%define name abcde
%define version 2.4.2
%define release %mkrel 1

Summary:	Command-line utility to rip and encode audio cds
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
URL:		http://www.hispalinux.es/~data/files/
Group:		Sound
Source0:	http://ftp.de.debian.org/debian/pool/main/a/abcde/%{name}_%{version}.orig.tar.gz
Source1:	http://linukz.org/download/cd-discid-1.1.tar.gz
Patch1:		abcde-2.3.99.6-install.patch
Requires:	cdparanoia wget vorbis-tools

%description
abcde is a frontend command-line utility (actually, a shell script) that
grabs tracks off a CD, encodes them to Ogg/Vorbis, MP3, FLAC, Ogg/Speex and/or
MPP/MP+(Musepack) format, and tags them, all in one go.


%prep

%setup -q -b0
%setup -q -b1
%patch1 -p0

%build
cd ../cd-discid-1.1
%make

%install
rm -rf %buildroot
%makeinstall_std

cd ../cd-discid-1.1
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr (-,root,root)
%doc changelog README COPYING TODO FAQ examples/abcded examples/abcde.init examples/autorip.sh
%{_bindir}/*
%{_mandir}/man1/abcde.*
%{_mandir}/man1/cd-discid.*
%{_mandir}/man1/cddb-tool.*
%config(noreplace) %{_sysconfdir}/%{name}.conf





%changelog
* Fri Mar 25 2011 kharec <kharec> 2.4.2-1.mga1
+ Revision: 77497
- new version

* Tue Mar 15 2011 ennael <ennael> 2.4.1-2.mga1
+ Revision: 71903
- clean spec file
- imported package abcde


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-2mdv2011.0
+ Revision: 609900
- rebuild

* Mon Feb 15 2010 Frederik Himpe <fhimpe@mandriva.org> 2.4.1-1mdv2010.1
+ Revision: 506382
- update to new version 2.4.1

* Sat Nov 07 2009 Rémy Clouard <shikamaru@mandriva.org> 2.4.0-1mdv2010.1
+ Revision: 462120
- bump abcde to 2.4.0
- bump cd-discid to 1.1
- fix license
- fix specfile
- drop merged patch

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.99.8-1mdv2010.0
+ Revision: 411822
- update to new version 2.3.99.8

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.99.7-1mdv2010.0
+ Revision: 402575
- update to new version 2.3.99.7

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 2.3.99.6-1mdv2008.1
+ Revision: 135813
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 04 2007 Funda Wang <fwang@mandriva.org> 2.3.99.6-1mdv2008.0
+ Revision: 95298
- Use new version from debian

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Mon Jun 26 2006 Lenny Cartier <lenny@mandriva.com> 2.3.3-2mdv2007.0
- rebuild

* Fri Sep 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.3-1mdk
- 2.3.3 from PierreLag <pierre.lag at gmail dot com>

* Tue Aug 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.2-2mdk
- Fix rpmlint

* Mon Aug 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.2-1mdk
- Rpm provided by PierreLag <pierre.lag at gmail dot .com>
		  -new version
		  -add autorip.sh in doc

* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.6-1mdk
- Rpm provided by PierreLag <pierre.lag at gmail dot com> 
                  -new version
                  -improve spec
                  -add abcded and abcde.init in doc
                  -cd-discid 0.9-1

* Thu Jul 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.0-1mdk
- Re enter into mandriva with a work done by
	PierreLag <pierre.lag@gmail.com> 
		- new version

